import React from 'react'
import Example from './Example'
import { ExtractProps } from './ExtractProps'

export type WrapperProps = Omit<ExtractProps<Example>, 'text'>

const Wrapper: React.FC<WrapperProps> = (props) => {
  return <Example {...props} text="Fixed text" />
}

export default Wrapper
