import React from 'react'
import Example, { ExampleProps } from './Example'

export type WrapperProps = Omit<ExampleProps, 'text'>

const Wrapper: React.FC<WrapperProps> = (props) => {
  return <Example {...props} text="Fixed text" />
}

export default Wrapper
